import org.ajoberstar.grgit.Grgit
import org.gradle.api.Plugin
import org.gradle.api.Project

class TestPlugin implements Plugin<Project> {
    @Override
    void apply(Project project) {

        project.plugins.apply("java")

        project.configurations {
            provided
            server
        }

        project.plugins.apply("maven-publish")
        project.plugins.apply("org.ajoberstar.release-opinion")

        project.release {
            grgit = Grgit.open(currentDir: project.file('.'))
        }

        project.tasks.release.dependsOn "build", "publish"
    }
}
